xclade
Admin APIClaims

List Claims

Retrieve a list of claims. The claims can be filtered by fields such as `id`. The claims can also be sorted or paginated.

GET
/admin/claims
AuthorizationBearer <token>

In: header

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

offset?number

The number of items to skip when retrieving a list.

limit?number

Limit the number of items returned in the list.

order?string

The field to sort the data by. By default, the sort order is ascending. To change the order to descending, prefix the field name with -.

deleted_at?

The claim's deleted at.

q?string

The claim's q.

id?id|
order_id?order_id|
status?status|
created_at?

The claim's created at.

updated_at?

The claim's updated at.

$and?

Join query parameters with an AND condition. Each object's content is the same type as the expected query parameters.

$or?

Join query parameters with an OR condition. Each object's content is the same type as the expected query parameters.

with_deleted?boolean

Whether to include deleted records in the result.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X GET "https://{tenant}.api.myxclade.com/admin/claims"
{
  "limit": 0,
  "offset": 0,
  "count": 0,
  "claims": [
    {
      "id": "string",
      "order_id": "string",
      "claim_items": [
        {
          "id": "string",
          "claim_id": "string",
          "order_id": "string",
          "item_id": "string",
          "quantity": 0,
          "reason": "missing_item",
          "raw_quantity": {
            "value": "string"
          },
          "metadata": {},
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "additional_items": [
        {
          "id": "string",
          "claim_id": "string",
          "order_id": "string",
          "item_id": "string",
          "quantity": 0,
          "reason": "missing_item",
          "raw_quantity": {
            "value": "string"
          },
          "metadata": {},
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "return": {
        "id": "string",
        "status": "canceled",
        "refund_amount": 0,
        "order_id": "string",
        "items": [
          {
            "id": "string",
            "quantity": 0,
            "received_quantity": 0,
            "damaged_quantity": 0,
            "reason_id": "string",
            "note": "string",
            "item_id": "string",
            "return_id": "string",
            "metadata": {}
          }
        ],
        "created_at": "2019-08-24T14:15:22Z",
        "canceled_at": "2019-08-24T14:15:22Z",
        "exchange_id": "string",
        "location_id": "string",
        "claim_id": "string",
        "order_version": 0,
        "display_id": 0,
        "no_notification": true,
        "received_at": "string"
      },
      "return_id": "string",
      "no_notification": true,
      "refund_amount": 0,
      "display_id": 0,
      "shipping_methods": [
        {
          "id": "string",
          "order_id": "string",
          "name": "string",
          "description": "string",
          "amount": 0,
          "is_tax_inclusive": true,
          "shipping_option_id": "string",
          "data": {},
          "metadata": {},
          "tax_lines": [
            {
              "shipping_method": {},
              "shipping_method_id": "string",
              "total": 0,
              "subtotal": 0,
              "id": "string",
              "description": "string",
              "tax_rate_id": "string",
              "code": "string",
              "rate": 0,
              "provider_id": "string",
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z"
            }
          ],
          "adjustments": [
            {
              "shipping_method": {},
              "shipping_method_id": "string",
              "id": "string",
              "code": "string",
              "amount": 0,
              "order_id": "string",
              "description": "string",
              "promotion_id": "string",
              "provider_id": "string",
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z"
            }
          ],
          "original_total": 0,
          "original_subtotal": 0,
          "original_tax_total": 0,
          "total": 0,
          "subtotal": 0,
          "tax_total": 0,
          "discount_total": 0,
          "discount_tax_total": 0,
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "detail": {
            "id": "string",
            "shipping_method_id": "string",
            "shipping_method": {},
            "claim_id": "string",
            "exchange_id": "string",
            "return_id": "string",
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z"
          }
        }
      ],
      "transactions": [
        {
          "id": "string",
          "order_id": "string",
          "amount": 0,
          "currency_code": "usd",
          "reference": "capture",
          "reference_id": "string",
          "metadata": {},
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "metadata": {},
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "order": {
        "payment_collections": [
          {
            "id": "string",
            "currency_code": "string",
            "amount": 0,
            "authorized_amount": 0,
            "captured_amount": 0,
            "refunded_amount": 0,
            "completed_at": "2019-08-24T14:15:22Z",
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z",
            "metadata": {},
            "status": "canceled",
            "payment_providers": [
              {
                "id": "string",
                "is_enabled": true
              }
            ],
            "payment_sessions": [
              {
                "id": "string",
                "amount": 0,
                "currency_code": "usd",
                "provider_id": "string",
                "data": {},
                "context": {
                  "customer": {
                    "id": "cus_123"
                  }
                },
                "status": "authorized",
                "authorized_at": "2019-08-24T14:15:22Z",
                "payment_collection": {},
                "payment": {
                  "id": "string",
                  "amount": 0,
                  "authorized_amount": 0,
                  "currency_code": "string",
                  "provider_id": "string",
                  "data": {},
                  "created_at": "2019-08-24T14:15:22Z",
                  "updated_at": "2019-08-24T14:15:22Z",
                  "captured_at": "2019-08-24T14:15:22Z",
                  "canceled_at": "2019-08-24T14:15:22Z",
                  "captured_amount": 0,
                  "refunded_amount": 0,
                  "captures": [
                    {
                      "id": "string",
                      "amount": 0,
                      "created_at": "2019-08-24T14:15:22Z",
                      "created_by": "string",
                      "payment": {}
                    }
                  ],
                  "refunds": [
                    {
                      "id": "string",
                      "amount": 0,
                      "refund_reason_id": "string",
                      "note": "string",
                      "created_at": "2019-08-24T14:15:22Z",
                      "created_by": "string",
                      "payment": {},
                      "refund_reason": {
                        "id": "string",
                        "label": "string",
                        "description": "string",
                        "metadata": {},
                        "created_at": "2019-08-24T14:15:22Z",
                        "updated_at": "2019-08-24T14:15:22Z",
                        "code": "string"
                      }
                    }
                  ],
                  "payment_collection": {},
                  "payment_session": {}
                }
              }
            ],
            "payments": [
              {
                "id": "string",
                "amount": 0,
                "authorized_amount": 0,
                "currency_code": "string",
                "provider_id": "string",
                "data": {},
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z",
                "captured_at": "2019-08-24T14:15:22Z",
                "canceled_at": "2019-08-24T14:15:22Z",
                "captured_amount": 0,
                "refunded_amount": 0,
                "captures": [
                  {
                    "id": "string",
                    "amount": 0,
                    "created_at": "2019-08-24T14:15:22Z",
                    "created_by": "string",
                    "payment": {}
                  }
                ],
                "refunds": [
                  {
                    "id": "string",
                    "amount": 0,
                    "refund_reason_id": "string",
                    "note": "string",
                    "created_at": "2019-08-24T14:15:22Z",
                    "created_by": "string",
                    "payment": {
                      "id": "string",
                      "amount": 0,
                      "authorized_amount": 0,
                      "currency_code": "string",
                      "provider_id": "string",
                      "data": {},
                      "created_at": "2019-08-24T14:15:22Z",
                      "updated_at": "2019-08-24T14:15:22Z",
                      "captured_at": "2019-08-24T14:15:22Z",
                      "canceled_at": "2019-08-24T14:15:22Z",
                      "captured_amount": 0,
                      "refunded_amount": 0,
                      "captures": [
                        {
                          "id": "string",
                          "amount": 0,
                          "created_at": "2019-08-24T14:15:22Z",
                          "created_by": "string",
                          "payment": {}
                        }
                      ],
                      "refunds": [
                        {
                          "id": "string",
                          "amount": 0,
                          "refund_reason_id": "string",
                          "note": "string",
                          "created_at": "2019-08-24T14:15:22Z",
                          "created_by": "string",
                          "payment": {},
                          "refund_reason": {
                            "id": "string",
                            "label": "string",
                            "description": "string",
                            "metadata": {},
                            "created_at": "2019-08-24T14:15:22Z",
                            "updated_at": "2019-08-24T14:15:22Z",
                            "code": "string"
                          }
                        }
                      ],
                      "payment_collection": {},
                      "payment_session": {}
                    },
                    "refund_reason": {
                      "id": "string",
                      "label": "string",
                      "description": "string",
                      "metadata": {},
                      "created_at": "2019-08-24T14:15:22Z",
                      "updated_at": "2019-08-24T14:15:22Z",
                      "code": "string"
                    }
                  }
                ],
                "payment_collection": {},
                "payment_session": {
                  "id": "string",
                  "amount": 0,
                  "currency_code": "usd",
                  "provider_id": "string",
                  "data": {},
                  "context": {
                    "customer": {
                      "id": "cus_123"
                    }
                  },
                  "status": "authorized",
                  "authorized_at": "2019-08-24T14:15:22Z",
                  "payment_collection": {},
                  "payment": {
                    "id": "string",
                    "amount": 0,
                    "authorized_amount": 0,
                    "currency_code": "string",
                    "provider_id": "string",
                    "data": {},
                    "created_at": "2019-08-24T14:15:22Z",
                    "updated_at": "2019-08-24T14:15:22Z",
                    "captured_at": "2019-08-24T14:15:22Z",
                    "canceled_at": "2019-08-24T14:15:22Z",
                    "captured_amount": 0,
                    "refunded_amount": 0,
                    "captures": [
                      {
                        "id": "string",
                        "amount": 0,
                        "created_at": "2019-08-24T14:15:22Z",
                        "created_by": "string",
                        "payment": {}
                      }
                    ],
                    "refunds": [
                      {
                        "id": "string",
                        "amount": 0,
                        "refund_reason_id": "string",
                        "note": "string",
                        "created_at": "2019-08-24T14:15:22Z",
                        "created_by": "string",
                        "payment": {},
                        "refund_reason": {
                          "id": "string",
                          "label": "string",
                          "description": "string",
                          "metadata": {},
                          "created_at": "2019-08-24T14:15:22Z",
                          "updated_at": "2019-08-24T14:15:22Z",
                          "code": "string"
                        }
                      }
                    ],
                    "payment_collection": {},
                    "payment_session": {}
                  }
                }
              }
            ]
          }
        ],
        "fulfillments": [
          {
            "id": "string",
            "location_id": "string",
            "packed_at": "2019-08-24T14:15:22Z",
            "shipped_at": "2019-08-24T14:15:22Z",
            "delivered_at": "2019-08-24T14:15:22Z",
            "canceled_at": "2019-08-24T14:15:22Z",
            "data": {},
            "provider_id": "string",
            "shipping_option_id": "string",
            "metadata": {},
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z",
            "requires_shipping": true
          }
        ],
        "sales_channel": {
          "id": "string",
          "name": "string",
          "description": "string",
          "is_disabled": true,
          "metadata": {},
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "deleted_at": "2019-08-24T14:15:22Z"
        },
        "customer": {
          "id": "string",
          "has_account": true,
          "groups": [
            {
              "id": "string",
              "name": "string",
              "customers": [
                {}
              ],
              "metadata": {},
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z"
            }
          ],
          "email": "user@example.com",
          "default_billing_address_id": "string",
          "default_shipping_address_id": "string",
          "company_name": "string",
          "first_name": "string",
          "last_name": "string",
          "addresses": [
            {
              "id": "string",
              "address_name": "string",
              "is_default_shipping": true,
              "is_default_billing": true,
              "customer_id": "string",
              "company": "string",
              "first_name": "string",
              "last_name": "string",
              "address_1": "string",
              "address_2": "string",
              "city": "string",
              "country_code": "us",
              "province": "us-ca",
              "postal_code": "string",
              "phone": "string",
              "metadata": {},
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z"
            }
          ],
          "phone": "string",
          "metadata": {},
          "created_by": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "deleted_at": "2019-08-24T14:15:22Z"
        },
        "shipping_address": {
          "id": "string",
          "customer_id": "string",
          "first_name": "string",
          "last_name": "string",
          "phone": "string",
          "company": "string",
          "address_1": "string",
          "address_2": "string",
          "city": "string",
          "country_code": "us",
          "country": {
            "id": "string",
            "iso_2": "us",
            "iso_3": "usa",
            "num_code": 840,
            "name": "string",
            "display_name": "string"
          },
          "province": "us-ca",
          "postal_code": "string",
          "metadata": {},
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        },
        "billing_address": {
          "id": "string",
          "customer_id": "string",
          "first_name": "string",
          "last_name": "string",
          "phone": "string",
          "company": "string",
          "address_1": "string",
          "address_2": "string",
          "city": "string",
          "country_code": "us",
          "country": {
            "id": "string",
            "iso_2": "us",
            "iso_3": "usa",
            "num_code": 840,
            "name": "string",
            "display_name": "string"
          },
          "province": "us-ca",
          "postal_code": "string",
          "metadata": {},
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        },
        "id": "string",
        "version": 0,
        "region_id": "string",
        "customer_id": "string",
        "sales_channel_id": "string",
        "email": "user@example.com",
        "currency_code": "string",
        "display_id": 0,
        "items": [
          {
            "id": "string",
            "title": "string",
            "subtitle": "string",
            "thumbnail": "string",
            "variant": {
              "prices": [
                {
                  "id": "string",
                  "title": "string",
                  "currency_code": "usd",
                  "amount": 0,
                  "raw_amount": {},
                  "min_quantity": 0,
                  "max_quantity": 0,
                  "price_set_id": "string",
                  "created_at": "2019-08-24T14:15:22Z",
                  "updated_at": "2019-08-24T14:15:22Z",
                  "deleted_at": "2019-08-24T14:15:22Z"
                }
              ],
              "id": "string",
              "title": "string",
              "sku": "string",
              "barcode": "string",
              "ean": "string",
              "upc": "string",
              "allow_backorder": true,
              "manage_inventory": true,
              "inventory_quantity": 0,
              "hs_code": "string",
              "origin_country": "string",
              "mid_code": "string",
              "material": "string",
              "weight": 0,
              "length": 0,
              "height": 0,
              "width": 0,
              "variant_rank": 0,
              "options": [
                {
                  "id": "string",
                  "value": "string",
                  "option": {
                    "id": "string",
                    "title": "string",
                    "product": {},
                    "product_id": "string",
                    "values": [
                      {}
                    ],
                    "metadata": {},
                    "created_at": "2019-08-24T14:15:22Z",
                    "updated_at": "2019-08-24T14:15:22Z",
                    "deleted_at": "2019-08-24T14:15:22Z"
                  },
                  "option_id": "string",
                  "metadata": {},
                  "created_at": "2019-08-24T14:15:22Z",
                  "updated_at": "2019-08-24T14:15:22Z",
                  "deleted_at": "2019-08-24T14:15:22Z"
                }
              ],
              "product": {},
              "product_id": "string",
              "calculated_price": {
                "id": "string",
                "is_calculated_price_price_list": true,
                "is_calculated_price_tax_inclusive": true,
                "calculated_amount": 0,
                "calculated_amount_with_tax": 0,
                "calculated_amount_without_tax": 0,
                "is_original_price_price_list": true,
                "is_original_price_tax_inclusive": true,
                "original_amount": 0,
                "currency_code": "usd",
                "calculated_price": {},
                "original_price": {},
                "original_amount_with_tax": 0,
                "original_amount_without_tax": 0
              },
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z",
              "deleted_at": "2019-08-24T14:15:22Z",
              "metadata": {},
              "inventory_items": [
                {
                  "id": "string",
                  "variant_id": "string",
                  "variant": {},
                  "inventory_item_id": "string",
                  "inventory": {
                    "id": "string",
                    "sku": "string",
                    "origin_country": "string",
                    "hs_code": "string",
                    "requires_shipping": true,
                    "mid_code": "string",
                    "material": "string",
                    "weight": 0,
                    "length": 0,
                    "height": 0,
                    "width": 0,
                    "title": "string",
                    "description": "string",
                    "thumbnail": "string",
                    "metadata": {},
                    "location_levels": [
                      {
                        "id": "string",
                        "created_at": "2019-08-24T14:15:22Z",
                        "updated_at": "2019-08-24T14:15:22Z",
                        "deleted_at": "2019-08-24T14:15:22Z",
                        "inventory_item_id": "string",
                        "location_id": "string",
                        "stocked_quantity": 0,
                        "reserved_quantity": 0,
                        "incoming_quantity": 0,
                        "metadata": {},
                        "inventory_item": {},
                        "available_quantity": 0
                      }
                    ]
                  },
                  "required_quantity": 0
                }
              ]
            },
            "variant_id": "string",
            "product": {
              "collection": {
                "id": "string",
                "title": "string",
                "handle": "string",
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z",
                "deleted_at": "2019-08-24T14:15:22Z",
                "products": [
                  {
                    "collection": {
                      "id": "string",
                      "title": "string",
                      "handle": "string",
                      "created_at": "2019-08-24T14:15:22Z",
                      "updated_at": "2019-08-24T14:15:22Z",
                      "deleted_at": "2019-08-24T14:15:22Z",
                      "products": [
                        {}
                      ],
                      "metadata": {}
                    },
                    "categories": [
                      {
                        "category_children": [
                          {
                            "category_children": [
                              {}
                            ],
                            "parent_category": {},
                            "products": [
                              {}
                            ],
                            "name": "string",
                            "description": "string",
                            "id": "string",
                            "metadata": {},
                            "created_at": "2019-08-24T14:15:22Z",
                            "updated_at": "2019-08-24T14:15:22Z",
                            "handle": "string",
                            "deleted_at": "2019-08-24T14:15:22Z",
                            "is_active": true,
                            "is_internal": true,
                            "rank": 0,
                            "parent_category_id": "string"
                          }
                        ],
                        "parent_category": {
                          "category_children": [
                            {}
                          ],
                          "parent_category": {},
                          "products": [
                            {}
                          ],
                          "name": "string",
                          "description": "string",
                          "id": "string",
                          "metadata": {},
                          "created_at": "2019-08-24T14:15:22Z",
                          "updated_at": "2019-08-24T14:15:22Z",
                          "handle": "string",
                          "deleted_at": "2019-08-24T14:15:22Z",
                          "is_active": true,
                          "is_internal": true,
                          "rank": 0,
                          "parent_category_id": "string"
                        },
                        "products": [
                          {}
                        ],
                        "name": "string",
                        "description": "string",
                        "id": "string",
                        "metadata": {},
                        "created_at": "2019-08-24T14:15:22Z",
                        "updated_at": "2019-08-24T14:15:22Z",
                        "handle": "string",
                        "deleted_at": "2019-08-24T14:15:22Z",
                        "is_active": true,
                        "is_internal": true,
                        "rank": 0,
                        "parent_category_id": "string"
                      }
                    ],
                    "variants": [
                      {}
                    ],
                    "type": {
                      "id": "string",
                      "value": "string",
                      "created_at": "2019-08-24T14:15:22Z",
                      "updated_at": "2019-08-24T14:15:22Z",
                      "deleted_at": "2019-08-24T14:15:22Z",
                      "metadata": {}
                    },
                    "tags": [
                      {
                        "id": "string",
                        "value": "string",
                        "created_at": "2019-08-24T14:15:22Z",
                        "updated_at": "2019-08-24T14:15:22Z",
                        "deleted_at": "2019-08-24T14:15:22Z",
                        "metadata": {}
                      }
                    ],
                    "length": 0,
                    "title": "string",
                    "status": "draft",
                    "options": [
                      {
                        "id": "string",
                        "title": "string",
                        "product": {},
                        "product_id": "string",
                        "values": [
                          {
                            "id": "string",
                            "value": "string",
                            "option": {},
                            "option_id": "string",
                            "metadata": {},
                            "created_at": "2019-08-24T14:15:22Z",
                            "updated_at": "2019-08-24T14:15:22Z",
                            "deleted_at": "2019-08-24T14:15:22Z"
                          }
                        ],
                        "metadata": {},
                        "created_at": "2019-08-24T14:15:22Z",
                        "updated_at": "2019-08-24T14:15:22Z",
                        "deleted_at": "2019-08-24T14:15:22Z"
                      }
                    ],
                    "description": "string",
                    "id": "string",
                    "metadata": {},
                    "created_at": "2019-08-24T14:15:22Z",
                    "updated_at": "2019-08-24T14:15:22Z",
                    "handle": "string",
                    "subtitle": "string",
                    "is_giftcard": true,
                    "thumbnail": "string",
                    "width": 0,
                    "weight": 0,
                    "height": 0,
                    "origin_country": "string",
                    "hs_code": "string",
                    "mid_code": "string",
                    "material": "string",
                    "collection_id": "string",
                    "type_id": "string",
                    "images": [
                      {
                        "id": "string",
                        "url": "string",
                        "created_at": "2019-08-24T14:15:22Z",
                        "updated_at": "2019-08-24T14:15:22Z",
                        "deleted_at": "2019-08-24T14:15:22Z",
                        "metadata": {},
                        "rank": 0
                      }
                    ],
                    "discountable": true,
                    "external_id": "string",
                    "deleted_at": "2019-08-24T14:15:22Z"
                  }
                ],
                "metadata": {}
              },
              "categories": [
                {
                  "category_children": [
                    {}
                  ],
                  "parent_category": {},
                  "products": [
                    {}
                  ],
                  "name": "string",
                  "description": "string",
                  "id": "string",
                  "metadata": {},
                  "created_at": "2019-08-24T14:15:22Z",
                  "updated_at": "2019-08-24T14:15:22Z",
                  "handle": "string",
                  "deleted_at": "2019-08-24T14:15:22Z",
                  "is_active": true,
                  "is_internal": true,
                  "rank": 0,
                  "parent_category_id": "string"
                }
              ],
              "sales_channels": [
                {
                  "id": "string",
                  "name": "string",
                  "description": "string",
                  "is_disabled": true,
                  "metadata": {},
                  "created_at": "2019-08-24T14:15:22Z",
                  "updated_at": "2019-08-24T14:15:22Z",
                  "deleted_at": "2019-08-24T14:15:22Z"
                }
              ],
              "variants": [
                {
                  "prices": [
                    {
                      "id": "string",
                      "title": "string",
                      "currency_code": "usd",
                      "amount": 0,
                      "raw_amount": {},
                      "min_quantity": 0,
                      "max_quantity": 0,
                      "price_set_id": "string",
                      "created_at": "2019-08-24T14:15:22Z",
                      "updated_at": "2019-08-24T14:15:22Z",
                      "deleted_at": "2019-08-24T14:15:22Z"
                    }
                  ],
                  "id": "string",
                  "title": "string",
                  "sku": "string",
                  "barcode": "string",
                  "ean": "string",
                  "upc": "string",
                  "allow_backorder": true,
                  "manage_inventory": true,
                  "inventory_quantity": 0,
                  "hs_code": "string",
                  "origin_country": "string",
                  "mid_code": "string",
                  "material": "string",
                  "weight": 0,
                  "length": 0,
                  "height": 0,
                  "width": 0,
                  "variant_rank": 0,
                  "options": [
                    {
                      "id": "string",
                      "value": "string",
                      "option": {
                        "id": "string",
                        "title": "string",
                        "product": {},
                        "product_id": "string",
                        "values": [
                          {}
                        ],
                        "metadata": {},
                        "created_at": "2019-08-24T14:15:22Z",
                        "updated_at": "2019-08-24T14:15:22Z",
                        "deleted_at": "2019-08-24T14:15:22Z"
                      },
                      "option_id": "string",
                      "metadata": {},
                      "created_at": "2019-08-24T14:15:22Z",
                      "updated_at": "2019-08-24T14:15:22Z",
                      "deleted_at": "2019-08-24T14:15:22Z"
                    }
                  ],
                  "product": {},
                  "product_id": "string",
                  "calculated_price": {
                    "id": "string",
                    "is_calculated_price_price_list": true,
                    "is_calculated_price_tax_inclusive": true,
                    "calculated_amount": 0,
                    "calculated_amount_with_tax": 0,
                    "calculated_amount_without_tax": 0,
                    "is_original_price_price_list": true,
                    "is_original_price_tax_inclusive": true,
                    "original_amount": 0,
                    "currency_code": "usd",
                    "calculated_price": {},
                    "original_price": {},
                    "original_amount_with_tax": 0,
                    "original_amount_without_tax": 0
                  },
                  "created_at": "2019-08-24T14:15:22Z",
                  "updated_at": "2019-08-24T14:15:22Z",
                  "deleted_at": "2019-08-24T14:15:22Z",
                  "metadata": {},
                  "inventory_items": [
                    {
                      "id": "string",
                      "variant_id": "string",
                      "variant": {},
                      "inventory_item_id": "string",
                      "inventory": {
                        "id": "string",
                        "sku": "string",
                        "origin_country": "string",
                        "hs_code": "string",
                        "requires_shipping": true,
                        "mid_code": "string",
                        "material": "string",
                        "weight": 0,
                        "length": 0,
                        "height": 0,
                        "width": 0,
                        "title": "string",
                        "description": "string",
                        "thumbnail": "string",
                        "metadata": {},
                        "location_levels": [
                          {
                            "id": "string",
                            "created_at": "2019-08-24T14:15:22Z",
                            "updated_at": "2019-08-24T14:15:22Z",
                            "deleted_at": "2019-08-24T14:15:22Z",
                            "inventory_item_id": "string",
                            "location_id": "string",
                            "stocked_quantity": 0,
                            "reserved_quantity": 0,
                            "incoming_quantity": 0,
                            "metadata": {},
                            "inventory_item": {},
                            "available_quantity": 0
                          }
                        ]
                      },
                      "required_quantity": 0
                    }
                  ]
                }
              ],
              "type": {
                "id": "string",
                "value": "string",
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z",
                "deleted_at": "2019-08-24T14:15:22Z",
                "metadata": {}
              },
              "tags": [
                {
                  "id": "string",
                  "value": "string",
                  "created_at": "2019-08-24T14:15:22Z",
                  "updated_at": "2019-08-24T14:15:22Z",
                  "deleted_at": "2019-08-24T14:15:22Z",
                  "metadata": {}
                }
              ],
              "length": 0,
              "title": "string",
              "status": "draft",
              "options": [
                {
                  "id": "string",
                  "title": "string",
                  "product": {},
                  "product_id": "string",
                  "values": [
                    {}
                  ],
                  "metadata": {},
                  "created_at": "2019-08-24T14:15:22Z",
                  "updated_at": "2019-08-24T14:15:22Z",
                  "deleted_at": "2019-08-24T14:15:22Z"
                }
              ],
              "description": "string",
              "id": "string",
              "metadata": {},
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z",
              "handle": "string",
              "subtitle": "string",
              "is_giftcard": true,
              "thumbnail": "string",
              "width": 0,
              "weight": 0,
              "height": 0,
              "origin_country": "string",
              "hs_code": "string",
              "mid_code": "string",
              "material": "string",
              "collection_id": "string",
              "type_id": "string",
              "images": [
                {
                  "id": "string",
                  "url": "string",
                  "created_at": "2019-08-24T14:15:22Z",
                  "updated_at": "2019-08-24T14:15:22Z",
                  "deleted_at": "2019-08-24T14:15:22Z",
                  "metadata": {},
                  "rank": 0
                }
              ],
              "discountable": true,
              "external_id": "string",
              "deleted_at": "2019-08-24T14:15:22Z",
              "shipping_profile": {
                "id": "string",
                "name": "string",
                "type": "string",
                "metadata": {},
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z",
                "deleted_at": "2019-08-24T14:15:22Z"
              }
            },
            "product_id": "string",
            "product_title": "string",
            "product_description": "string",
            "product_subtitle": "string",
            "product_type": "string",
            "product_collection": "string",
            "product_handle": "string",
            "variant_sku": "string",
            "variant_barcode": "string",
            "variant_title": "string",
            "variant_option_values": {
              "Color": "Blue"
            },
            "requires_shipping": true,
            "is_discountable": true,
            "is_tax_inclusive": true,
            "compare_at_unit_price": 0,
            "unit_price": 0,
            "quantity": 0,
            "tax_lines": [
              {
                "item": {},
                "item_id": "string",
                "total": 0,
                "subtotal": 0,
                "id": "string",
                "description": "string",
                "tax_rate_id": "string",
                "code": "string",
                "rate": 0,
                "provider_id": "string",
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z"
              }
            ],
            "adjustments": [
              {
                "item": {},
                "item_id": "string",
                "id": "string",
                "code": "string",
                "amount": 0,
                "order_id": "string",
                "description": "string",
                "promotion_id": "string",
                "provider_id": "string",
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z"
              }
            ],
            "detail": {},
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z",
            "metadata": {},
            "original_total": 0,
            "original_subtotal": 0,
            "original_tax_total": 0,
            "item_total": 0,
            "item_subtotal": 0,
            "item_tax_total": 0,
            "total": 0,
            "subtotal": 0,
            "tax_total": 0,
            "discount_total": 0,
            "discount_tax_total": 0,
            "refundable_total": 0,
            "refundable_total_per_unit": 0,
            "product_type_id": "string"
          }
        ],
        "shipping_methods": [
          {
            "id": "string",
            "order_id": "string",
            "name": "string",
            "description": "string",
            "amount": 0,
            "is_tax_inclusive": true,
            "shipping_option_id": "string",
            "data": {},
            "metadata": {},
            "tax_lines": [
              {
                "shipping_method": {},
                "shipping_method_id": "string",
                "total": 0,
                "subtotal": 0,
                "id": "string",
                "description": "string",
                "tax_rate_id": "string",
                "code": "string",
                "rate": 0,
                "provider_id": "string",
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z"
              }
            ],
            "adjustments": [
              {
                "shipping_method": {},
                "shipping_method_id": "string",
                "id": "string",
                "code": "string",
                "amount": 0,
                "order_id": "string",
                "description": "string",
                "promotion_id": "string",
                "provider_id": "string",
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z"
              }
            ],
            "original_total": 0,
            "original_subtotal": 0,
            "original_tax_total": 0,
            "total": 0,
            "subtotal": 0,
            "tax_total": 0,
            "discount_total": 0,
            "discount_tax_total": 0,
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z",
            "detail": {
              "id": "string",
              "shipping_method_id": "string",
              "shipping_method": {},
              "claim_id": "string",
              "exchange_id": "string",
              "return_id": "string",
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z"
            }
          }
        ],
        "payment_status": "canceled",
        "fulfillment_status": "canceled",
        "transactions": [
          {
            "id": "string",
            "order_id": "string",
            "amount": 0,
            "currency_code": "usd",
            "reference": "capture",
            "reference_id": "string",
            "metadata": {},
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z"
          }
        ],
        "summary": {
          "paid_total": 0,
          "refunded_total": 0,
          "pending_difference": 0,
          "current_order_total": 0,
          "original_order_total": 0,
          "transaction_total": 0,
          "accounting_total": 0
        },
        "metadata": {},
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z",
        "original_item_total": 0,
        "original_item_subtotal": 0,
        "original_item_tax_total": 0,
        "item_total": 0,
        "item_subtotal": 0,
        "item_tax_total": 0,
        "original_total": 0,
        "original_subtotal": 0,
        "original_tax_total": 0,
        "total": 0,
        "subtotal": 0,
        "tax_total": 0,
        "discount_total": 0,
        "discount_tax_total": 0,
        "gift_card_total": 0,
        "gift_card_tax_total": 0,
        "shipping_total": 0,
        "shipping_subtotal": 0,
        "shipping_tax_total": 0,
        "original_shipping_total": 0,
        "original_shipping_subtotal": 0,
        "original_shipping_tax_total": 0,
        "status": "string",
        "region": {
          "id": "string",
          "name": "string",
          "currency_code": "usd",
          "automatic_taxes": true,
          "countries": [
            {
              "id": "string",
              "iso_2": "us",
              "iso_3": "usa",
              "num_code": 840,
              "name": "string",
              "display_name": "string"
            }
          ],
          "payment_providers": [
            {
              "id": "string",
              "is_enabled": true
            }
          ],
          "metadata": {},
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        },
        "credit_lines": [
          {
            "id": "string",
            "order_id": "string",
            "order": {},
            "reference": "string",
            "reference_id": "string",
            "metadata": {},
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z",
            "amount": 0
          }
        ],
        "credit_line_total": 0,
        "item_discount_total": 0,
        "shipping_discount_total": 0
      },
      "type": "replace",
      "order_version": "string",
      "created_by": "string",
      "canceled_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z"
    }
  ],
  "estimate_count": 0
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}